RedHat: RHSA-2022-6735:01 Moderate: java-1.8.0-ibm security update ...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: java-1.8.0-ibm security update
Advisory ID:       RHSA-2022:6735-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:6735
Issue date:        2022-10-25
CVE Names:         CVE-2021-2163 
=====================================================================

1. Summary:

An update for java-1.8.0-ibm is now available for Red Hat Enterprise Linux
8.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Supplementary (v. 8) - ppc64le, s390x, x86_64

3. Description:

IBM Java SE version 8 includes the IBM Java Runtime Environment and the IBM
Java Software Development Kit.

This update upgrades IBM Java SE 8 to version 8 SR7-FP15.

Security Fix(es):

* OpenJDK: Incomplete enforcement of JAR signing disabled algorithms
(Libraries, 8249906) (CVE-2021-2163)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

All running instances of IBM Java must be restarted for this update to take
effect.

5. Bugs fixed (https://bugzilla.redhat.com/):

1951217 - CVE-2021-2163 OpenJDK: Incomplete enforcement of JAR signing disabled algorithms (Libraries, 8249906)

6. Package List:

Red Hat Enterprise Linux Supplementary (v. 8):

ppc64le:
java-1.8.0-ibm-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-demo-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-devel-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-headless-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-jdbc-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-plugin-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-src-1.8.0.7.15-1.el8_6.ppc64le.rpm
java-1.8.0-ibm-webstart-1.8.0.7.15-1.el8_6.ppc64le.rpm

s390x:
java-1.8.0-ibm-1.8.0.7.15-1.el8_6.s390x.rpm
java-1.8.0-ibm-demo-1.8.0.7.15-1.el8_6.s390x.rpm
java-1.8.0-ibm-devel-1.8.0.7.15-1.el8_6.s390x.rpm
java-1.8.0-ibm-headless-1.8.0.7.15-1.el8_6.s390x.rpm
java-1.8.0-ibm-jdbc-1.8.0.7.15-1.el8_6.s390x.rpm
java-1.8.0-ibm-src-1.8.0.7.15-1.el8_6.s390x.rpm

x86_64:
java-1.8.0-ibm-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-demo-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-devel-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-headless-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-jdbc-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-plugin-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-src-1.8.0.7.15-1.el8_6.x86_64.rpm
java-1.8.0-ibm-webstart-1.8.0.7.15-1.el8_6.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-2163
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY1fVOdzjgjWX9erEAQgm0w/9EUfZ4YaN3WYoMzinUQ/eWjMk+dYTTrEx
8lKYg2C0gCwjFZ2hBqg+Oyn2WAcJO1qXwsNJzBCG+hTyjPiMxlJUcB1LgYBmW6ix
lNL1GPjD33H5nod+Td22fmFzHUwuRHf67Q7nTNeS//ZHBT3eabIGhdkNMwg65PeN
Zdw/JUfjwRuu+Rtc7BF4xLKY+zsQfHbtL8TtEX+sTrdbz21xkNvsQvpHHA/+kQGj
On16oJwJHJsg7V/6fXneCvfLPzjtqOFpjLu5Jwv0NwKzrqvedBxiRaEnCsdpwg5Y
Zm1KJG0Ms8M9rQdxS/Nb1su/5oP4T/23VNNBgVpvCwRq5vObvuq3aMWQP++MeTvr
y+4FaQj42gqUi/Pr7WvgZaIpGakZZs2B6AhkC3rr+AwughZKGGWHAcnuG4dY7Qba
4Sta32NcYYQZH1+V/EPpOg7LZC07EoM6qvuHErO9zsw0bf2qRCFvKs1axqYqs4PQ
4XN8uNUAL4sB9oWtExbT2/oYUZTK0hsF8eDSs9Sp+xHcZhHWKpktP4a+QYmvjvhY
vsCyftHj8ozr1L2gd2egMfNlm92INeTa10Tl3oMFDhuEixYQfG2TGUvpcNVwY7B4
zjSzH9gwlKXMJaCfNSvQ5U/DnXHbDb6KnO4VqExe7aFKmqp7pU82sD3EZuCKSpw3
Z0m6thaI5Y4=
=qAfu
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-6735:01 Moderate: java-1.8.0-ibm security update

An update for java-1.8.0-ibm is now available for Red Hat Enterprise Linux 8

Summary

IBM Java SE version 8 includes the IBM Java Runtime Environment and the IBM Java Software Development Kit.
This update upgrades IBM Java SE 8 to version 8 SR7-FP15.
Security Fix(es):
* OpenJDK: Incomplete enforcement of JAR signing disabled algorithms (Libraries, 8249906) (CVE-2021-2163)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258All running instances of IBM Java must be restarted for this update to takeeffect.

References

https://access.redhat.com/security/cve/CVE-2021-2163 https://access.redhat.com/security/updates/classification/#moderate

Package List

Red Hat Enterprise Linux Supplementary (v. 8):
ppc64le: java-1.8.0-ibm-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-demo-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-devel-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-headless-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-jdbc-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-plugin-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-src-1.8.0.7.15-1.el8_6.ppc64le.rpm java-1.8.0-ibm-webstart-1.8.0.7.15-1.el8_6.ppc64le.rpm
s390x: java-1.8.0-ibm-1.8.0.7.15-1.el8_6.s390x.rpm java-1.8.0-ibm-demo-1.8.0.7.15-1.el8_6.s390x.rpm java-1.8.0-ibm-devel-1.8.0.7.15-1.el8_6.s390x.rpm java-1.8.0-ibm-headless-1.8.0.7.15-1.el8_6.s390x.rpm java-1.8.0-ibm-jdbc-1.8.0.7.15-1.el8_6.s390x.rpm java-1.8.0-ibm-src-1.8.0.7.15-1.el8_6.s390x.rpm
x86_64: java-1.8.0-ibm-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-demo-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-devel-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-headless-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-jdbc-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-plugin-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-src-1.8.0.7.15-1.el8_6.x86_64.rpm java-1.8.0-ibm-webstart-1.8.0.7.15-1.el8_6.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:6735-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:6735
Issued Date: : 2022-10-25
CVE Names: CVE-2021-2163

Topic

An update for java-1.8.0-ibm is now available for Red Hat Enterprise Linux8.Red Hat Product Security has rated this update as having a security impactof Moderate. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available for each vulnerability fromthe CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat Enterprise Linux Supplementary (v. 8) - ppc64le, s390x, x86_64

Bugs Fixed

1951217 - CVE-2021-2163 OpenJDK: Incomplete enforcement of JAR signing disabled algorithms (Libraries, 8249906)

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.